Bug 181988 - kernel-2.6.15-1.1831_FC4 module kgameportd panics with sidewinder gamepaf
kernel-2.6.15-1.1831_FC4 module kgameportd panics with sidewinder gamepaf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-18 07:52 EST by Cristiano Duarte
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.17-1.2142_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 18:34:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristiano Duarte 2006-02-18 07:52:23 EST
Description of problem: When booting with the new 2.6.15-1.1831_FC4 kernel, a
panic message appears with a backtrace pointing at kgameportd with a call to the
activate function on the sidewinder module.


Version-Release number of selected component (if applicable): 2.6.15-1.1831_FC4


How reproducible: allways


Steps to Reproduce:
1.Install 2.6.15-1.1831_FC4 kernel
2.Have a sidewinder gamepad connected to the gameport (SB Live!)
3.Boot with the kernel
  
Actual results:
Panic with a message of 120 sec countdown to continue. If I let the booting
process continue, I can't get the gamepad and MOUSE(ps/2) to work.

Expected results:
Clean and smooth boot

Additional info:
The panic occurs just after the "network" message of udev(when it starts the
audio, video, network...)
Comment 1 Cristiano Duarte 2006-02-18 08:03:33 EST
This never happened with kernel <= 2.6.14. Also, I could get the kernel report
from /var/log/messages:

Feb 18 09:40:48 thor kernel: gameport: EMU10K1 is pci0000:02:0c.1/gameport0, io
0xd000, speed 1125kHz
Feb 18 09:40:48 thor kernel: Unable to handle kernel NULL pointer dereference at
virtual address 000006e0
Feb 18 09:40:48 thor kernel:  printing eip:
Feb 18 09:40:48 thor kernel: c029705b
Feb 18 09:40:48 thor kernel: *pde = 0e5f5067
Feb 18 09:40:48 thor kernel: Oops: 0000 [#1]
Feb 18 09:40:48 thor kernel: last sysfs file: /class/net/eth0/ifindex
Feb 18 09:40:48 thor kernel: Modules linked in: emu10k1_gp sidewinder 8139cp
gameport snd_emu10k1 snd_rawmidi snd_ac97_codec snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm
snd_timer snd_ac97_bus snd_page_alloc snd_util_mem snd_hwdep snd soundcore
8139too mii floppy reiserfs aic7xxx scsi_transport_spi sd_mod scsi_mod
Feb 18 09:40:48 thor kernel: CPU:    0
Feb 18 09:40:48 thor kernel: EIP:    0060:[<c029705b>]    Not tainted VLI
Feb 18 09:40:48 thor kernel: EFLAGS: 00010292   (2.6.15-1.1831_FC4) 
Feb 18 09:40:48 thor kernel: EIP is at input_register_device+0x9/0x288
Feb 18 09:40:48 thor kernel: eax: 00000000   ebx: ce6c7000   ecx: 0000000a  
edx: 00000000
Feb 18 09:40:48 thor kernel: esi: 00000000   edi: cf3ed660   ebp: 00000001  
esp: ce60ce4c
Feb 18 09:40:48 thor kernel: ds: 007b   es: 007b   ss: 0068
Feb 18 09:40:48 thor kernel: Process kgameportd (pid: 1011, threadinfo=ce60c000
task=cfb99030)
Feb 18 09:40:48 thor kernel: Stack: c038fe80 c01dcc97 ce6c7660 c01dca5d ce6c7658
ce6c7000 00000000 cf3ed660 
Feb 18 09:40:48 thor kernel:        00000001 d09e1a62 cf3ed6b4 d09e1d7a cf29e024
00000000 00382bc0 cf29e024 
Feb 18 09:40:48 thor kernel:        cf29e0c8 cf3ed674 cf3ed6b4 cf29e000 0000004b
cebdfc00 cebdf800 03000286 
Feb 18 09:40:48 thor kernel: Call Trace:
Feb 18 09:40:48 thor kernel:  [<c01dcc97>] kobject_get+0xf/0x13     [<c01dca5d>]
kobject_init+0x23/0x36
Feb 18 09:40:48 thor kernel:  [<d09e1a62>] sw_connect+0x527/0x6d1 [sidewinder] 
   [<c0197351>] sysfs_new_dirent+0x17/0x56
Feb 18 09:40:48 thor kernel:  [<d09b8c99>] gameport_driver_probe+0x17/0x27
[gameport]     [<c024e62d>] driver_probe_device+0x35/0x98
Feb 18 09:40:48 thor kernel:  [<c031549c>] klist_next+0x3f/0x53     [<c024df94>]
bus_for_each_drv+0x3a/0x58
Feb 18 09:40:48 thor kernel:  [<c024e6f9>] device_attach+0x64/0x68    
[<c024e690>] __device_attach+0x0/0x5
Feb 18 09:40:48 thor kernel:  [<c024e09c>] bus_add_device+0x20/0x79    
[<c024d3c9>] device_add+0xf1/0x15a
Feb 18 09:40:48 thor kernel:  [<d09b86a2>] gameport_thread+0x0/0xf1 [gameport] 
   [<d09b8a9e>] gameport_add_port+0x77/0xc1 [gameport]
Feb 18 09:40:48 thor kernel:  [<d09b85ca>] gameport_handle_event+0x89/0x91
[gameport]     [<d09b86c5>] gameport_thread+0x23/0xf1 [gameport]
Feb 18 09:40:48 thor kernel:  [<c012fd12>] autoremove_wake_function+0x0/0x37   
 [<c012f8eb>] kthread+0x87/0x8b
Feb 18 09:40:48 thor kernel:  [<c012f864>] kthread+0x0/0x8b     [<c0101309>]
kernel_thread_helper+0x5/0xb
Feb 18 09:40:48 thor kernel: Code: 89 83 e4 06 00 00 89 83 e8 06 00 00 8d 83 ec
06 00 00 89 83 ec 06 00 00 89 83 f0 06 00 00 89 d8 5b c3 55 57 56 53 83 ec 14 89
c6 <8b> 80 e0 06 00 00 85 c0 0f 84 21 02 00 00 c7 86 34 06 00 00 01 
Feb 18 09:40:48 thor kernel: Continuing in 120 seconds. 
Continuing in 119 seconds. 
...
Continuing in 2 seconds. 
Continuing in 1 seconds. 
Comment 2 Dave Jones 2006-09-16 22:54:43 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 17:59:55 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Cristiano Duarte 2006-10-16 18:24:36 EDT
This bug seems to be fixed on kernel 2.6.17-1.2142_FC4. Thank you.

Note You need to log in before you can comment on or make changes to this bug.